Package org.apache.tapestry5.dom

## Class DefaultMarkupModel

- java.lang.Object
- - org.apache.tapestry5.dom.AbstractMarkupModel
  - - org.apache.tapestry5.dom.DefaultMarkupModel

- All Implemented Interfaces:
    `MarkupModel`

      public class DefaultMarkupModel
      extends AbstractMarkupModel

  Default implementation of `MarkupModel` that is appropriate for traditional (X)HTML markup. Assumes that all tags are lower-case. The majority of elements will be "expanded" (meaning a complete start and end tag); this is for compatibility with web browsers, especially when the content type of a response indicates HTML, not true XML. Only the "hr", "br","img", "link", and "meta" tags will be rendered abbreviated (i.e., "lt;img/>").

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultMarkupModel()` |
    `DefaultMarkupModel​(boolean useApostropheForAttributes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EndTagStyle` | `getEndTagStyle​(java.lang.String element)` | For a given element, determines how the end tag for the element should be rendered.
    `boolean` | `isXML()` | Returns false.

    - ### Methods inherited from class org.apache.tapestry5.dom.AbstractMarkupModel

      `encode, encodeQuoted, getAttributeQuote`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMarkupModel

          public DefaultMarkupModel()

    - #### DefaultMarkupModel

          public DefaultMarkupModel​(boolean useApostropheForAttributes)

  - ### Method Detail

    - #### getEndTagStyle

          public EndTagStyle getEndTagStyle​(java.lang.String element)

      Description copied from interface: `MarkupModel`
      For a given element, determines how the end tag for the element should be rendered.

    - #### isXML

          public boolean isXML()

      Returns false.
      Returns:
        true for XML output, false for HTML output